<template>
  <v-card>
    <v-img :src="this.awaitProduct.urlphoto" aspect-ratio="1.7" contain></v-img>
    <v-card-title>{{ awaitProduct.name }}</v-card-title>
    <v-card-title>En Espera</v-card-title>

    <span>precio:</span>
    <p class="font-weight-bold">{{ awaitProduct.price }} Pñ</p>
    <span>usuario:</span>
    <p class="font-weight-bold" @click="goToThisUserProfil">{{ awaitProduct.nickname }}</p>

    <div>
      <v-btn depressed small color="blue" class="send-messages" @click="sendMessages">CHATEAR</v-btn>
      <v-btn
        depressed
        small
        color="green"
        class="edit-awaitProduct"
        @click="goToEditProduct()"
      >Editar</v-btn>
      <v-btn
        depressed
        small
        color="green"
        class="confirm-awaitProduct"
        @click="myConfirmFunction(awaitProduct)"
      >Confirmar</v-btn>
      <v-btn
        depressed
        small
        color="orange"
        class="reject-awaitProduct"
        @click="myRejectFunction(awaitProduct)"
      >Rechazar</v-btn>
    </div>
  </v-card>
</template>

<script>
export default {
  name: 'EditAwaitProductsState',
  components: {},
  props: {
    //showMessage: Boolean,
    awaitProduct: {
      propType: Array,
      required: true
    },
    actualUserRole: String
  },

  data() {
    return {}
  },

  mounted() {},

  methods: {
    myConfirmFunction() {
      var r = confirm(
        `¿Quieres cambiar el estado de : 
        ${this.awaitProduct.name}
         a Confirmado ?`
      )
      if (r == true) {
        this.confirmAwaitProduct()
      }
    },
    confirmAwaitProduct() {
      this.$emit('confirm-awaitProduct-event', this.awaitProduct.idproduct)
    },
    myRejectFunction() {
      var r = confirm(
        `¿Quieres cambiar el estado de : 
        ${this.awaitProduct.name}
         a Rechazado ?`
      )
      if (r == true) {
        this.rejectAwaitProduct()
      }
    },
    rejectAwaitProduct() {
      this.$emit('reject-awaitProduct-event', this.awaitProduct.idproduct)
    },
    sendMessages() {
      this.$emit('go-to-messages', this.awaitProduct.iduser)
    },

    goToThisUserProfil() {
      this.$emit('go-to-user-profil', this.awaitProduct.iduser)
    },

    goToEditProduct() {
      this.$emit('go-to-edit-product', this.awaitProduct.idproduct)
    }
  }
}
</script>

<style scoped>
/* #awaitProduct_details {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
} */
/* img {
  width: 13rem;
  height: 13rem;
} */
</style>
